/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * このファイルはBlancoValueObjectにより自動生成されました。
 */
package blanco.batchprocess.valueobject;

/**
 * BlancoBatchProcessのなかで利用されるValueObjectです。
 */
public class BlancoBatchProcessInputItemStructure {
    /**
     * フィールド [name]
     *
     * 項目の型 [java.lang.String]<br>
     * パラメータ名を指定します。
     */
    private String fName;

    /**
     * フィールド [type]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [blanco:string]<br>
     * 型を示します。
     */
    private String fType = "blanco:string";

    /**
     * フィールド [require]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * 必須項目であるかどうか。
     */
    private boolean fRequire = false;

    /**
     * フィールド [default]
     *
     * 項目の型 [java.lang.String]<br>
     * デフォルト値。
     */
    private String fDefault;

    /**
     * フィールド [description]
     *
     * 項目の型 [java.lang.String]<br>
     * 説明。
     */
    private String fDescription;

    /**
     * フィールド [name]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * パラメータ名を指定します。
     *
     * @param argName フィールド[name]に格納したい値
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド[name]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * パラメータ名を指定します。
     *
     * @return フィールド[name]に格納されている値
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [type]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 型を示します。
     *
     * @param argType フィールド[type]に格納したい値
     */
    public void setType(final String argType) {
        fType = argType;
    }

    /**
     * フィールド[type]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [blanco:string]<br>
     * 型を示します。
     *
     * @return フィールド[type]に格納されている値
     */
    public String getType() {
        return fType;
    }

    /**
     * フィールド [require]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 必須項目であるかどうか。
     *
     * @param argRequire フィールド[require]に格納したい値
     */
    public void setRequire(final boolean argRequire) {
        fRequire = argRequire;
    }

    /**
     * フィールド[require]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * 必須項目であるかどうか。
     *
     * @return フィールド[require]に格納されている値
     */
    public boolean getRequire() {
        return fRequire;
    }

    /**
     * フィールド [default]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * デフォルト値。
     *
     * @param argDefault フィールド[default]に格納したい値
     */
    public void setDefault(final String argDefault) {
        fDefault = argDefault;
    }

    /**
     * フィールド[default]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * デフォルト値。
     *
     * @return フィールド[default]に格納されている値
     */
    public String getDefault() {
        return fDefault;
    }

    /**
     * フィールド [description]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 説明。
     *
     * @param argDescription フィールド[description]に格納したい値
     */
    public void setDescription(final String argDescription) {
        fDescription = argDescription;
    }

    /**
     * フィールド[description]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 説明。
     *
     * @return フィールド[description]に格納されている値
     */
    public String getDescription() {
        return fDescription;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.batchprocess.valueobject.BlancoBatchProcessInputItemStructure[");
        buf.append("name=" + fName);
        buf.append(",type=" + fType);
        buf.append(",require=" + fRequire);
        buf.append(",default=" + fDefault);
        buf.append(",description=" + fDescription);
        buf.append("]");
        return buf.toString();
    }
}
